{% extends 'layouts/base.html' %}

{% load crispy_forms_tags %}

{% block title %} Document {% endblock title %}

<!-- Specific CSS goes HERE -->
{% block stylesheets %}
<link rel="stylesheet" type="text/css" href="https://cdn.datatables.net/1.13.1/css/jquery.dataTables.css">
{% endblock stylesheets %}

{% block content %}

<div class="container-fluid py-4">
  <div class="row my-4">
    <div class="col-lg-12 col-md-6 mb-md-0 mb-4">
      <div class="card">
        <div class="card-header pb-0">
          <div class="row">
            <div class="col-lg-6 col-7">
              <h6>Documents</h6>
              <br>
              <form method="post">
                {% csrf_token %}
                {{ form|crispy }}
                <button type="submit" class="btn btn-primary"><i class="fas fa-save"></i>Save</button>
              </form>
            </div>
          </div>
        </div>
        <div class="card-body px-0 pb-2">
          <div class="table-responsive">
            <table id="table_id" class="table align-items-center mb-0">
              <thead>
                <tr>
                  <th>ID</th>
                  <th>Content</th>
                  <th></th>
                </tr>
              </thead>
              <tbody>
                {% for doc in docs %}
                <tr>
                  <td>
                    {{doc.doc_id}}
                  </td>
                  <td>
                    {{doc.content|truncatechars:150}}
                  </td>
                  <td>
                    <button class="btn btn-primary">Detail</button>
                    <button class="btn btn-danger">Delete</button>
                  </td>
                </tr>
                {% endfor %}
              </tbody>
            </table>
          </div>
        </div>
      </div>
    </div>
  </div>

  {% include "includes/footer.html" %}

</div>

{% endblock content %}

<!-- Specific JS goes HERE -->
{% block javascripts %}
<script src="https://code.jquery.com/jquery-3.6.3.slim.js"
  integrity="sha256-DKU1CmJ8kBuEwumaLuh9Tl/6ZB6jzGOBV/5YpNE2BWc=" crossorigin="anonymous"></script>
<script src="/static/assets/js/plugins/chartjs.min.js"></script>
<script src="/static/assets/js/plugins/Chart.extension.js"></script>
<script type="text/javascript" charset="utf8" src="https://cdn.datatables.net/1.13.1/js/jquery.dataTables.js"></script>
<script>
  $(document).ready(function () {
    $('#table_id').DataTable();
  });
</script>
<script>
  var win = navigator.platform.indexOf('Win') > -1;
  if (win && document.querySelector('#sidenav-scrollbar')) {
    var options = {
      damping: '0.5'
    }
    Scrollbar.init(document.querySelector('#sidenav-scrollbar'), options);
  }
</script>

{% endblock javascripts %}